<?php
class PopupMenu extends DefaultPopupMenu
{
	 private $_title;
	 private $_id;
	 private $_items;
 
	 function __construct($id, $title='')
	 {
		 $this->_id = $id;
		 $this->_title = $title;
	 }
 
	 function add_item($text, $link, $onclick='')
	 {
		 if($onclick)
		 {
			 $onclick = " onclick=\"{$onclick}\"";
		 }
		 $this->_items .= "<div class=\"popupItem\"><a href=\"{$link}\"{$onclick}>{$text}</a></div>\n";
	 }
 
	 function fetch()
	 {
		 $popup = '<div class="popupContainer">';
		 if($this->_title)
		 {
			 $popup .= "<a href=\"javascript:;\" id=\"{$this->_id}\" class=\"popupButton\"><i class=\"ri-more-line\"></i></a>\n";
		 }
		 $popup .= "<div class=\"popupMenu\" id=\"{$this->_id}Popup\">\n{$this->_items}</div>\n";
		 $popup .= "<script type=\"text/javascript\">\n";
         $popup .= "$(window).click(function() {\n";
         $popup .= "if ($(\".popupMenu\").hasClass(\"show\")) {\n";
         $popup .= "$(\".popupButton\").removeClass(\"active\")\n";
         $popup .= "$(\".popupMenu\").removeClass(\"show\")\n";
         $popup .= "};\n";
         $popup .= "});\n";
         $popup .= " $(\".popupContainer .popupButton#{$this->_id}\").click(function(event){\n";
         $popup .= "$(\".popupButton\").removeClass(\"active\")\n";
         $popup .= "$(\".popupMenu\").removeClass(\"show\")\n";
         $popup .= "$(\".popupButton#{$this->_id}\").toggleClass(\"active\");\n";
		 $popup .= "$(\".popupMenu#{$this->_id}Popup\").toggleClass(\"show\");\n";
         $popup .= "event.stopPropagation();\n";
		 $popup .= "});\n";
		 $popup .= "</script>\n";
		 $popup .= "</div>\n";
		 return $popup;
	 }
 
	 function output()
	 {
		 echo $this->fetch();
	 }
}
?>