<?php
class SidebarItem extends DefaultSidebarItem
{
    private $_title;
    private $_contents;

    function __construct($title="")
    {
        $this->_title = $title;
    }

    function add_menu_items($items, $active)
    {
        global $run_module;

        foreach($items as $item)
        {
            if(!check_admin_permissions(array("module" => $run_module, "action" => $item['id']), false))
            {
                continue;
            }

            $class = "";
            if($item['id'] == $active)
            {
                $class = "itemActive";
            }
            $item['link'] = htmlspecialchars_uni($item['link']);
            $this->_contents .= "<a href=\"{$item['link']}\" class=\"tabMenuItem {$item['id']} {$class}\">{$item['title']}</a>\n";
        }
    }

    function set_contents($html)
    {
        $this->_contents = $html;
    }

    function get_markup()
    {
        $markup = "<nav class=\"tabMenu\">\n";
        if($this->_contents)
        {
            $markup .= $this->_contents;
        }
        $markup .= "</nav>\n";
        return $markup;
    }
}

?>
