<?php
/**
 * This file is part of Cloudboard
 * @Author: Filip 'SimLay' Cichorek
 * @website: http://cichorekfilip.pl
 * Copyright (c) 2021
 **/
if (!defined('IN_MYBB')) {
    die("🇩‌🇮‌🇷‌🇪‌🇨‌🇹‌ 🇮‌🇳‌🇮‌🇹‌🇮‌🇦‌🇱‌🇮‌🇿‌🇦‌🇹‌🇮‌🇴‌🇳‌ 🇴‌🇫‌ 🇹‌🇭‌🇮‌🇸‌ 🇫‌🇮‌🇱‌🇪‌ 🇮‌🇸‌ 🇳‌🇴‌🇹‌ 🇦‌🇱‌🇱‌🇴‌🇼‌🇪‌🇩‌.<br /><br />🇵‌🇱‌🇪‌🇦‌🇸‌🇪‌ 🇲‌🇦‌🇰‌🇪‌ 🇸‌🇺‌🇷‌🇪‌ 🇮‌🇳‌_🇲‌🇾‌🇧‌🇧‌ 🇮‌🇸‌ 🇩‌🇪‌🇫‌🇮‌🇳‌🇪‌🇩‌. <br /><br />🇹‌🇴‌🇩‌🇦‌🇾‌ 🇮‌🇲‌🇵‌🇴‌🇸‌🇸‌🇮‌🇧‌🇱‌🇪‌ 🇧‌🇪‌🇨‌🇦‌🇲‌🇪‌ 🇵‌🇴‌🇸‌🇸‌🇮‌🇧‌🇱‌🇪‌");
}

class CloudBoardLogs {
    public static function install() {
        global $mybb, $db, $lang;
        $mybb->binary_fields['cblogs'] = ['ip' => true];
        $lang->load('cloudboard_module_meta');
        /** Creating table */
        $db->write_query("
                CREATE TABLE IF NOT EXISTS `" . TABLE_PREFIX . "cblogs` (
                    `id` int(11) NOT NULL auto_increment,
                    `uid` int(11) NOT NULL,
                    `module` text NULL,
                    `description` text NOT NULL,
                    `date` int(11) NOT NULL,
                    `ip` varbinary(16) NOT NULL,
                    PRIMARY KEY (`id`)
                ) " . ($innodbSupport ? "ENGINE=InnoDB" : null) . " " . $db->build_create_table_collation() . "
            ");
        /** Default Menu */
        $db->insert_query('cblogs', [
            'id'            => 1,
            'uid'           => 1,
            'module'        => 'Cloudboard',
            'description'   => $lang->cloudboard_log_installed,
            'date'          =>  TIME_NOW,
            'ip'            =>  $db->escape_binary( my_inet_pton('127.0.0.1') ),
        ]);

    }

    public static function uninstall() {
        global $db;
        $db->drop_table('cblogs');
    }


    public static function activate()  {
    }

    public static function deactivate()
    {
    }


}