<?php
/**
 * This file is part of Cloudboard
 * @Author: Filip 'SimLay' Cichorek
 * @website: http://cichorekfilip.pl
 * Copyright (c) 2021
 **/
if (!defined('IN_MYBB')) {
    die("🇩‌🇮‌🇷‌🇪‌🇨‌🇹‌ 🇮‌🇳‌🇮‌🇹‌🇮‌🇦‌🇱‌🇮‌🇿‌🇦‌🇹‌🇮‌🇴‌🇳‌ 🇴‌🇫‌ 🇹‌🇭‌🇮‌🇸‌ 🇫‌🇮‌🇱‌🇪‌ 🇮‌🇸‌ 🇳‌🇴‌🇹‌ 🇦‌🇱‌🇱‌🇴‌🇼‌🇪‌🇩‌.<br /><br />🇵‌🇱‌🇪‌🇦‌🇸‌🇪‌ 🇲‌🇦‌🇰‌🇪‌ 🇸‌🇺‌🇷‌🇪‌ 🇮‌🇳‌_🇲‌🇾‌🇧‌🇧‌ 🇮‌🇸‌ 🇩‌🇪‌🇫‌🇮‌🇳‌🇪‌🇩‌. <br /><br />🇹‌🇴‌🇩‌🇦‌🇾‌ 🇮‌🇲‌🇵‌🇴‌🇸‌🇸‌🇮‌🇧‌🇱‌🇪‌ 🇧‌🇪‌🇨‌🇦‌🇲‌🇪‌ 🇵‌🇴‌🇸‌🇸‌🇮‌🇧‌🇱‌🇪‌");
}

class CloudBoardMenu {
    public static function install() {
        global $db, $lang;
        $lang->load('cloudboard_module_meta');
        /** Creating table */
        $db->write_query("
                CREATE TABLE IF NOT EXISTS `" . TABLE_PREFIX . "cbmenu` (
                    `id` int(11) NOT NULL auto_increment,
                    `icon` text NOT NULL,
                    `name` text NULL,
                    `link` text NOT NULL,
                    `sort` int(11) NULL DEFAULT NULL,
                    PRIMARY KEY (`id`)
                ) " . ($innodbSupport ? "ENGINE=InnoDB" : null) . " " . $db->build_create_table_collation() . "
            ");
        /** Default Menu */
        $db->insert_query('cbmenu', [
            'icon'       => 'ri-home-4-line',
            'name'      => $lang->cloudboard_home,
            'link'      => 'index.php',
            'sort'      => 1,
        ]);
        $db->insert_query('cbmenu', [
            'icon'       => 'ri-user-line',
            'name'      => $lang->cloudboard_users,
            'link'      => 'memberlist.php',
            'sort'      => 2,
        ]);
        $db->insert_query('cbmenu', [
            'icon'       => 'ri-line-chart-line',
            'name'      => $lang->cloudboard_stats,
            'link'      => 'stats.php',
            'sort'      => 3,
        ]);

        /** submenu */
        $db->write_query("
                CREATE TABLE IF NOT EXISTS `" . TABLE_PREFIX . "cbmenusub` (
                    `id` int(11) NOT NULL auto_increment,
                    `pid` int(11) NOT NULL,
                    `icon` text NOT NULL,
                    `name` text NULL,
                    `link` text NOT NULL,
                    `sort` int(11) NULL DEFAULT NULL,
                    PRIMARY KEY (`id`)
                ) " . ($innodbSupport ? "ENGINE=InnoDB" : null) . " " . $db->build_create_table_collation() . "
            ");
        /** Default SubMenu */
        $db->insert_query('cbmenusub', [
            'pid'      => 1,
            'icon'       => 'ri-terminal-box-line',
            'name'      => $lang->cloudboard_plugin_author,
            'link'      => 'https://cichorekfilip.pl',
            'sort'      => 1,
        ]);
        $db->insert_query('cbmenusub', [
            'pid'      => 1,
            'icon'       => 'ri-discord-fill',
            'name'      => $lang->cloudboard_plugin_discord,
            'link'      => 'https://discord.gg/3YKP7tYrXw',
            'sort'      => 2,
        ]);


        // templates
        $templates = [
            'tpl_cbMenu' => '<nav id="menu" class="cbMenu">{$cbMenuRow}</nav>',
            'tpl_cbMenuRow' => '
                                <div class="item">
                                     <a href="{$cbMenuItem[\'link\']}"><i class="{$cbMenuItem[\'icon\']}"></i>{$cbMenuItem[\'name\']}</a>
                                     {$cbMenuSub[$mid]}
                                </div>',
            'tpl_cbMenuSub' => '
                                <div class="submenu">
                                         {$cbMenuSubRow[$mid]}
                                </div>',
            'tpl_cbMenuSubRow' => '<a href="{$cbMenuSubItem[\'link\']}"><i class="{$cbMenuSubItem[\'icon\']}"></i>{$cbMenuSubItem[\'name\']}</a>'
        ];

        $data = [];
        foreach ($templates as $name => $content) {
            $data[] = [
                'title'    => $name,
                'template' => $db->escape_string($content),
                'sid'      => -1,
                'version'  => 1,
                'status'   => '',
                'dateline' => TIME_NOW,
            ];
        }

        $db->insert_query_multiple('templates', $data);
    }

    public static function uninstall() {
        global $db;
        $db->drop_table('cbmenu');
        $db->drop_table('cbmenusub');

        // delete templates
        $db->delete_query('templates', "title IN(
        'tpl_cbMenu',
        'tpl_cbMenuRow',  
        'tpl_cbMenuSub',      
        'tpl_cbMenuSubRow'
        )");
    }


    public static function activate()  {
    }

    public static function deactivate()
    {
    }
}