

<?php
/**
 * This file is part of Cloudboard
 * @Author: Filip 'SimLay' Cichorek
 * @website: http://cichorekfilip.pl
 * Copyright (c) 2021
 **/
if (!defined('IN_MYBB')) {
    die("🇩‌🇮‌🇷‌🇪‌🇨‌🇹‌ 🇮‌🇳‌🇮‌🇹‌🇮‌🇦‌🇱‌🇮‌🇿‌🇦‌🇹‌🇮‌🇴‌🇳‌ 🇴‌🇫‌ 🇹‌🇭‌🇮‌🇸‌ 🇫‌🇮‌🇱‌🇪‌ 🇮‌🇸‌ 🇳‌🇴‌🇹‌ 🇦‌🇱‌🇱‌🇴‌🇼‌🇪‌🇩‌.<br /><br />🇵‌🇱‌🇪‌🇦‌🇸‌🇪‌ 🇲‌🇦‌🇰‌🇪‌ 🇸‌🇺‌🇷‌🇪‌ 🇮‌🇳‌_🇲‌🇾‌🇧‌🇧‌ 🇮‌🇸‌ 🇩‌🇪‌🇫‌🇮‌🇳‌🇪‌🇩‌. <br /><br />🇹‌🇴‌🇩‌🇦‌🇾‌ 🇮‌🇲‌🇵‌🇴‌🇸‌🇸‌🇮‌🇧‌🇱‌🇪‌ 🇧‌🇪‌🇨‌🇦‌🇲‌🇪‌ 🇵‌🇴‌🇸‌🇸‌🇮‌🇧‌🇱‌🇪‌");
}

class CloudBoardTeam {
    public static function install() {
        global $db, $lang;
        $lang->load('cloudboard_module_meta');
        /** Creating table */
        $db->write_query("
                CREATE TABLE IF NOT EXISTS `" . TABLE_PREFIX . "cbteam` (
                    `id` int(11) NOT NULL auto_increment,
                    `uid` text NOT NULL,
                    `email` text NULL,
                    `customfieldIcon` text NOT NULL,
                    `customfieldName` text NOT NULL,
                    `customfieldLink` text NOT NULL,
                    `sort` int(11) NULL DEFAULT NULL,
                    PRIMARY KEY (`id`)
                ) " . ($innodbSupport ? "ENGINE=InnoDB" : null) . " " . $db->build_create_table_collation() . "
            ");
        /** Default team */
        $db->insert_query('cbteam', [
            'uid'       => '1',
            'email'       => 'contact@cichorekfilip.pl',
            'customfieldIcon'       => 'ri-award-line',
            'customfieldName'       => 'Autor Modyfikacji',
            'customfieldLink'       => 'https://cichorekfilip.pl',
            'sort'      => 1,
        ]);
        // templates
        $templates = [
            'tpl_cbTeam' => '<div id="team" class="cbteam">
                                <div class="tableTitle">
                                        {$cbTitle}
                                </div>
                                <div class="innerContent {$cbType}">
                                  {$innerContent}
                                <div>
                              </div>',
            'tpl_cbTeamRow' => '<div class="item">
                                    <div class="groupname">{$get[\'usergroup\']}</div>
                                    <div class="row">
                                        <img src="{$get[\'avatar\']}" alt="" />
                                        <div class="column">
                                            <a href="/member.php?action=profile&uid={$cbTeamItem[\'uid\']}" class="username">{$get[\'username\']}</a>
                                            <a href="/private.php?action=send&uid={$cbTeamItem[\'uid\']}"><i class="ri-mail-fill"></i> Prywatna Wiadomość</a>
                                            {$cbTeamEmail}
                                            {$cbTeamCustomfield}
                                        </div>
                                    </div>
                                </div>',



            'tpl_cbTTeam' => '
                                <table border="0" cellspacing="{$theme[\'borderwidth\']}" cellpadding="{$theme[\'tablespace\']}" class="tborder cbTeam">
                                <thead>
                                  <tr>
                                     <td class="thead">
                                             {$cbTitle}
                                     </td>
                                  </tr>
                                </thead>
                                <tbody class="{$cbType} innerContent">
                                  {$innerContent}
                                </tbody>
                                </table>',
            'tpl_cbTTeamRow' => '
                                  <tr>
                                     <td class="trow2">
                                     <div class="groupname">{$get[\'usergroup\']}</div>
                                       <div class="row">
                                           <img src="{$get[\'avatar\']}" alt="" />
                                           <div class="column">
                                               <a href="/member.php?action=profile&uid={$cbTeamItem[\'uid\']}" class="username">{$get[\'username\']}</a>
                                               <a href="/private.php?action=send&uid={$cbTeamItem[\'uid\']}"><i class="ri-mail-fill"></i> Prywatna Wiadomość</a>
                                               {$cbTeamEmail}
                                               {$cbTeamCustomfield}
                                           </div>
                                       </div>
                                     </td>
                                  </tr>',

            'tpl_cbTeamEmail' => '<a href="mailto: {$cbTeamItem[\'email\']}"><i class="ri-at-fill"></i> {$cbTeamItem[\'email\']}</a>',
            'tpl_cbTeamCustomfield' => '<a href="{$cbTeamItem[\'customfieldLink\']}"><i class="{$cbTeamItem[\'customfieldIcon\']}"></i> {$cbTeamItem[\'customfieldName\']}</a>',
              ];


        $data = [];

        foreach ($templates as $name => $content) {
            $data[] = [
                'title'    => $name,
                'template' => $db->escape_string($content),
                'sid'      => -1,
                'version'  => 1,
                'status'   => '',
                'dateline' => TIME_NOW,
            ];
        }

        $db->insert_query_multiple('templates', $data);
    }

    public static function uninstall() {
        global $db;
        $db->drop_table('cbteam');

        // delete templates
        $db->delete_query('templates', "title IN(
        'tpl_cbTeam',
        'tpl_cbTeamRow',
        'tpl_cbTTeam',
        'tpl_cbTTeamRow',
        'tpl_cbTeamEmail',
        'tpl_cbTeamCustomfield'
        )");
    }


    public static function activate()  {
    }

    public static function deactivate()
    {
    }

}
